<template>
  <div class="inline">
    <v-btn
      v-if="back"
      @mouseup.stop="goBack"
      class="ma-1 mr-0"
      x-small
      outlined
      fab
      @click="$emit('clear')"
    >
      <v-icon>navigate_before</v-icon>
    </v-btn>
    <v-btn v-else text @click="$emit('click')" :disabled="disabled">{{
      label
    }}</v-btn>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../plugins/api'
import { Component, Prop } from 'vue-property-decorator'
@Component({
  components: {},
})
export default class BusinessTypeSelect extends Vue {
  @Prop({ type: String, default: 'Anullo' }) label
  @Prop({ type: Boolean, default: false }) disabled
  @Prop({ type: Boolean, default: false }) back
  @Prop({ type: String, default: '' }) route

  goBack() {
    if (this.route) {
      this.$router.push({ name: this.route })
    } else {
      this.$router.go(-1)
    }
  }
}
</script>
<style scoped>
.inline {
  display: inline;
}
</style>
